#include <iostream>
using namespace std;
int main()
{
	int n,m,Ai[20],pr[20],y[20],x[20],i,j,q,zbir,p;
	cin>>n>>m;
	for(i=0;i<n;i++)
	{
		cin>>Ai[i];
	}
	for(i=0;i<1;i++)
	    for(j=1;j<n;j++)
			if(Ai[i]==Ai[j])
				q++;
	i=0;
	while(i<n)
	{
		pr[i]=0;
		i++;
	}
	i=0;
	while(i<m)
	{
		cin>>x[i]>>y[i];
		pr[x[i]-1]++;
		pr[y[i]-1]++;
		i++;
	}
	for(i=0;i<n;i++)
	{
		if(q==n)
			zbir=zbir+(Ai[i]*pr[i]);
		else
			p=p+(Ai[i]*(-pr[i]));
	}
	if(q==n)
		cout<<zbir;
	else
		cout<<p;
}